/* Contenedor principal */
.p-quienes-somos {
  display: flex;
  flex-direction: column;

  /* Título */
  & h1 {
    font-size: 2.3rem;
    letter-spacing: 1px;
    text-align: center;
    color: var(--primary);
    text-transform: uppercase;
    margin-top: 2rem;
  }

  & p {
    font-size: 1.2rem;
    line-height: 1.5;
    color: var(--grey);
    margin-bottom: 2rem;
  }

  .p-divider-horizontal {
    width: 80%;
    margin: 2rem auto;
  }

  /* Estilos para la sección de Reseña Histórica */
  .historia-mision-vision {
    display: grid;
    grid-template-columns: 60% 30%;
    justify-content: space-around;

    .historia {
      padding: 20px 10px;
      display: flex;
      flex-direction: column;
      gap: 20px;

      & h2 {
        font-size: 2.5rem;
        color: #333;
        text-align: center;
        margin-bottom: 2rem;
      }

      & p {
        margin: 0 auto;
        max-width: 800px;
        text-align: justify;
      }
    }
  }
}

/* Estilos para la sección de Misión y Visión */
.mision-vision {
  display: flex;
  flex-direction: column;
  padding: 30px 20px;
  gap: 20px;

  .p-grid {
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .p-card {
    margin: 0 auto;
    width: 300px;
    height: 300px;
    text-align: center;
    box-shadow: var(--box-shadow-card-2);
    transition: all 0.3s ease-in-out;

    .p-card-title {
      font-size: 1.5rem;
      color: var(--primary-1);
    }

    &:hover {
      transform: translateY(-10px);
      box-shadow: 0 8px 16px rgba(0, 0, 0, 0.3);
    }

  }
}
